Bug 65572 - links crashes on -source usage (NOTE: may have security implications)
links crashes on -source usage (NOTE: may have security implications)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: elinks (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
http://archive.linuxfromscratch.org/m...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-27 15:12 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-25 21:58:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-27 15:12:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc3) Gecko/20020523

Description of problem:
When using links -source http://url.of.stream/goes/here where the mentioned URL
does not continously send data, links can reproducibly made to segfault.

Version-Release number of selected component (if applicable):
0.3.0

How reproducible:
Always

Steps to Reproduce:
For example, run ffmpeg to grab live video, and pipe that to a cgi script.  On a
client machine, use links -source to grab that stream.

Actual Results:  elinks crashed.

Expected Results:  elinks should not have crashed.

Additional info:

This bug has been fixed in upstream 0.3.2.  (0.3.1 upstream should also close
bug #64510)

Relevant thread on mailing list:
http://archive.linuxfromscratch.org/mail-archives/links-list/2002/05/0093.html
http://archive.linuxfromscratch.org/mail-archives/links-list/2002/05/0119.html
http://archive.linuxfromscratch.org/mail-archives/links-list/2002/05/0133.html
http://archive.linuxfromscratch.org/mail-archives/links-list/2002/05/0135.html
http://archive.linuxfromscratch.org/mail-archives/links-list/2002/05/0137.html
http://archive.linuxfromscratch.org/mail-archives/links-list/2002/05/0138.html
Comment 1 Tim Waugh 2002-10-07 07:37:17 EDT
Fixed in elinks-0.3.2-1.  Security implication minimal, IMHO.

Note You need to log in before you can comment on or make changes to this bug.